Skip to content
FLORA DocsGo to app

Get a technique

GET/techniques/{techniqueId}

Returns the public definition for one technique, including its input and output schema used to start runs.

Path ParametersExpand Collapse
techniqueId: string

Technique identifier or slug

minLength1
ReturnsExpand Collapse
inputs: array of object { id, name, type, 3 more }
id: string

Technique input or output identifier

name: string

Technique input or output display name

type: "imageUrl" or "videoUrl" or "audioUrl" or 2 more

Technique input or output media type

One of the following:
"imageUrl"
"videoUrl"
"audioUrl"
"text"
"documentUrl"
description: optional string

Technique input or output description

specifiedAspectRatio: optional string

Required aspect ratio

specifiedDuration: optional number

Required duration in seconds

name: string

Technique name

outputs: array of object { id, name, type, 3 more }
id: string

Technique input or output identifier

name: string

Technique input or output display name

type: "imageUrl" or "videoUrl" or "audioUrl" or 2 more

Technique input or output media type

One of the following:
"imageUrl"
"videoUrl"
"audioUrl"
"text"
"documentUrl"
description: optional string

Technique input or output description

specifiedAspectRatio: optional string

Required aspect ratio

specifiedDuration: optional number

Required duration in seconds

run_cost: number
technique_id: string

Technique identifier

description: optional string

Technique description

Get a technique

curl https://app.flora.ai/api/v1/techniques/$TECHNIQUE_ID \
    -H "Authorization: Bearer $FLORA_API_KEY"
{
  "inputs": [
    {
      "id": "prompt",
      "name": "Prompt",
      "type": "imageUrl",
      "description": "Describe the desired image.",
      "specifiedAspectRatio": "1:1",
      "specifiedDuration": 0
    }
  ],
  "name": "Editorial Image Grid",
  "outputs": [
    {
      "id": "prompt",
      "name": "Prompt",
      "type": "imageUrl",
      "description": "Describe the desired image.",
      "specifiedAspectRatio": "1:1",
      "specifiedDuration": 0
    }
  ],
  "run_cost": 0,
  "technique_id": "tech_abcd1234",
  "description": "Generate a cohesive editorial image grid."
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}
Returns Examples
{
  "inputs": [
    {
      "id": "prompt",
      "name": "Prompt",
      "type": "imageUrl",
      "description": "Describe the desired image.",
      "specifiedAspectRatio": "1:1",
      "specifiedDuration": 0
    }
  ],
  "name": "Editorial Image Grid",
  "outputs": [
    {
      "id": "prompt",
      "name": "Prompt",
      "type": "imageUrl",
      "description": "Describe the desired image.",
      "specifiedAspectRatio": "1:1",
      "specifiedDuration": 0
    }
  ],
  "run_cost": 0,
  "technique_id": "tech_abcd1234",
  "description": "Generate a cohesive editorial image grid."
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}